IRRECORD(1)

NAME

irrecord - IR-codes recording tool for usage with LIRC

SYNOPSIS

irrecord [-f] [-n] [-H driver] [-d device] [file]

irrecord -a <file>

irrecord -l

irrecord --help | --version

DESCRIPTION
This program will record the signals from your remote control and create a config file for lircd. A proper config file for lircd is maybe the most vital part of this package, so you should invest some time to create a working config file. Although a good deal of effort is put in this program it is often not possible to automatically recognize all features of a remote control.

If the program fails to recognize the protocol of the remote control you should use the --force option to at least create a config file in raw mode.

If file is not specified it defaults to "irrecord.conf"

If file already exists and contains a valid config irrecord will use the protocol description found there and will only try to record the buttons. This is very useful if you want to learn a remote where config files of the same brand are already available. Of course this will only work if the remotes use the same protocol but it's worth a try.

The irdb-get(1) tool can be used to find common protocols template files using the command

    $ irdb-get find generic

The tool can also download these files.

OPTIONS

-a --analyse
    Analyse a raw_codes config file, trying to convert it to a regular configuration.

-u --update
    Add new buttons to an existing config file. No protocol information is updated.

-f --force
    Force raw mode. Use this if recording fails otherwise. This creates a raw codes configuration file which can be used as-is or converted using the -a option.

-n --disable-namespace
    Disable namespace checks.

-l --list-namespace
    List valid button names.

-H --driver=driver
    Use given driver. -H help lists available drivers.

-d --device=device
    Read from given device.

-D --loglevel=level
    Determine the amount of logging information. [level] can be a symbolic syslog level: 'error','warning, 'info', 'notice' or 'debug'. lirc also defines three additional levels 'trace', 'trace1' and 'trace2' which gives even more messages ('trace2' bringing the most). However, in the log these messages are marked as 'debug'. The level can also be an integer in the range 3 (almost no messages) to 10.

-h --help
    Display this message.

-v --version
    Display version.

DRIVER LOAD PATH
Drivers are loaded dynamically. This is done from a traditional *ux ':'-separated path where each component in the path is searched (leading part first, trailing last).

The path used for this is determined by (falling priority):

-   The --plugindir option.

-   The 'plugindir' entry in the [lircd] section of the lirc_options.conf file.

-   The environment variable LIRC_PLUGINDIR.

-   A hardcoded default (usually /usr/lib[64]/lirc/plugins).

FILES

/etc/lirc/lirc_options.conf
    The options file. irrecord mostly handles the values under the [irrecord] section, but some values such as debug and plugindir are inherited from the [lircd] section.

-   The location of this file can be changed using the -O/--options-file command-line option or using the environment variable LIRC_OPTIONS_PATH. The values here are used as defaults for any option not present on command line.

~/.cache/irrecord.log
    Debug output. Setting the XDG_CACHE_HOME environment variable relocates this file to $XDG_CACHE_HOME/irrecord.log

SEE ALSO
https://sourceforge.net/p/lirc-remotes/wiki
irdb-get(1)